Namespace
library
Image / Tag
swift:6.2.3-jammy
Content Digest
sha256:33c73fc133767cdaafde26f0f9967c96ab25ff77618b7df1eabf46140bf2b6e6
Details
Created

2026-02-17 20:37:51 UTC

Size

1.15 GB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.2.3-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.2.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:b1cba2e842ca52b95817f958faf99734080c78e92e43ce609cde9244867b49ed - 2.39% (28.2 MB)

[#001] sha256:d1d2ba067e7a281ef11746c9f2017f6d5b4c978c3d30e44f39518ed24e5fdaef - 14.24% (168 MB)

[#002] sha256:eaf44ccfcbd5263d8506dd6fc7cf80ab1ef34bdb09aa333d50ff12a58e2c72a5 - 83.37% (981 MB)

[#003] sha256:5dfce582ab312d4d2fa2f3af965d7cdd97d562633eddd533628da231cb6a0cf4 - 0.0% (174 Bytes)


History
2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2026-02-10 17:40:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2026-02-10 17:40:09 UTC

/bin/sh -c #(nop) ADD file:52c0e467fa2e92f101018df01a0ff56580c752b7553fbe6df88e16b02af6d4ee in /

2026-02-10 17:40:09 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.2.3-release

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.2.3-RELEASE

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:37:07 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:37:51 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2026-02-17 20:37:51 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2026-02-17 20:35:56 UTC

Size

1.14 GB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    22.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.2.3-release

SWIFT_PLATFORM

ubuntu22.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.2.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:c36472b3458398be28ecbfebbaac44143c040eae73411baded48a22060d3055b - 2.24% (26.1 MB)

[#001] sha256:e0e09b756b328425e7b5ee3f2b6728498e4730009be9fbff8b7864b0091da833 - 14.07% (164 MB)

[#002] sha256:83ce26b946bac65e27bf7b1d95f8c4f9827769b8ef69d4f23e0f6197783d8a23 - 83.69% (976 MB)

[#003] sha256:9d37ea27ef532aa315f38dc868357adf7f29d14151e3fbd6bcdc484c2d6879c3 - 0.0% (174 Bytes)


History
2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) ARG RELEASE

2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2026-02-10 17:42:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=22.04

2026-02-10 17:42:31 UTC

/bin/sh -c #(nop) ADD file:a85469998596adb526225bc2a2ce3f2cd899fb87a09539f6f84d359c6b935769 in /

2026-02-10 17:42:31 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-11-dev libpython3-dev libsqlite3-0 libstdc++-11-dev libxml2-dev libz3-dev pkg-config python3-lldb-13 tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu22.04

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.2.3-release

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.2.3-RELEASE

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:35:11 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-02-17 20:35:56 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2026-02-17 20:35:56 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu22.04 SWIFT_BRANCH=swift-6.2.3-release SWIFT_VERSION=swift-6.2.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete